Package org.apache.felix.gogo.command

# Class Inspect42

java.lang.Object
org.apache.felix.gogo.command.Inspect42

public class Inspect42 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CAPABILITY`
`static final String`
`LEGACY_BUNDLE_NAMESPACE`
`static final String`
`LEGACY_HOST_NAMESPACE`
`static final String`
`LEGACY_PACKAGE_NAMESPACE`
`static final String`
`NONSTANDARD_SERVICE_NAMESPACE`
`static final String`
`REQUIREMENT`

## Constructor Summary

Constructors
Constructor
Description
`Inspect42(org.osgi.framework.BundleContext bc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`inspect(String direction, String namespace, org.osgi.framework.Bundle[] bundles)`
`static boolean`
`printExportedPackages(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)`
`static boolean`
`printFragmentHosts(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)`
`static boolean`
`printHostedFragments(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)`
`static boolean`
`printRequiringBundles(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LEGACY_PACKAGE_NAMESPACE

public static final String LEGACY_PACKAGE_NAMESPACE

See Also:
  - Constant Field Values

### LEGACY_BUNDLE_NAMESPACE

public static final String LEGACY_BUNDLE_NAMESPACE

See Also:
  - Constant Field Values

### LEGACY_HOST_NAMESPACE

public static final String LEGACY_HOST_NAMESPACE

See Also:
  - Constant Field Values

### NONSTANDARD_SERVICE_NAMESPACE

public static final String NONSTANDARD_SERVICE_NAMESPACE

See Also:
  - Constant Field Values

### CAPABILITY

public static final String CAPABILITY

See Also:
  - Constant Field Values

### REQUIREMENT

public static final String REQUIREMENT

See Also:
  - Constant Field Values

## Constructor Details

### Inspect42

public Inspect42(org.osgi.framework.BundleContext bc)

## Method Details

### inspect

public void inspect(String direction, String namespace, org.osgi.framework.Bundle[] bundles)

### printExportedPackages

public static boolean printExportedPackages(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)

### printRequiringBundles

public static boolean printRequiringBundles(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)

### printHostedFragments

public static boolean printHostedFragments(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)

### printFragmentHosts

public static boolean printFragmentHosts(org.osgi.framework.BundleContext bc, org.osgi.framework.Bundle b)